net.minecraft.client.gui.inventory

## Class GuiScreenHorseInventory

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.inventory.GuiContainer
      - - net.minecraft.client.gui.inventory.GuiScreenHorseInventory

-     public class GuiScreenHorseInventory
      extends GuiContainer

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.inventory.GuiContainer

      `inventorySlots`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, height, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiScreenHorseInventory(IInventory par1IInventory, IInventory par2IInventory, EntityHorse par3EntityHorse)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.

    - ### Methods inherited from class net.minecraft.client.gui.inventory.GuiContainer

      `doesGuiPauseGame, initGui, onGuiClosed, updateScreen`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiScreenHorseInventory

          public GuiScreenHorseInventory(IInventory par1IInventory,
                                 IInventory par2IInventory,
                                 EntityHorse par3EntityHorse)

  - ### Method Detail

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Draws the screen and all the components in it.
      Overrides:
        `drawScreen` in class `GuiContainer`